Subject: Re: [Catalina22] CD's topping lift kit

From: Ted McGee <[email-masked]>
Date: Wed, 16 Mar 2005 12:52:05 -0500 (GMT-05:00)

Bob,

I did have the topping lift kit for a while. If a topping lift is what you want I will say the CD kit is very nice. At least the one I bought from them was. The topping lift itself was vinyl coated wire with thimble swaged on each end. At one end is a turning block - with another turning block that goes on the boom. A line runs between the two turning blocks and cleats on the boom. This makes the topping lift adjustable. I didn't use it very long though. The only real reason I bought it was because from time-to-time when signle handling and it is a bit windy, it is a little easier to drop the main without worrying about dropping the boom in the cockpit. Eventually I did what Dick suggested and wound up putting a boom kicker on. I like that much better than the topping lift. If you don't want to part with the bucks for a boom kicker I have seen a number of pretty cool homemade ones, everything from pieces of pvc to a shower rod. Alternatively do the other thing Dick suggests and just get some 1/8" line.

Ted McGee

15370 - Rhapsody in seA

750 - Rascal

Atlanta

-----Original Message-----
From: Dick King
Sent: Mar 16, 2005 12:16 PM
To: [email-masked]
Subject: Re: [Catalina22] CD's topping lift kit

Hi Bob S. - I have not installed the CD kit.  I am sure it works.  No, IMHO it is not.  Invest your money in a Boom Kicker, or buy a few bucks in a piece of 1/8 inch to tie between the mast head and the outboard end of the boom.  Make it slightly longer than the distance between the two when the boom is hoisted.

Dick King
Melbourne, FL
7976 Jagged Edge
A bad day sailing beats almost anything worth doing.

----- Original Message -----

From: Robert Sparks

To: Chip's C22 List

Sent: Wednesday, March 16, 2005 11:56 AM

Subject: [Catalina22] CD's topping lift kit

Howdy folks,

Has anyone installed the CD topping lift kit? If so, does it work OK and is it worth $60?

Thanks,

Bob

------------------------------------------------------------------------------------ For information on unsubscribing or contacting the list owner, go to: www.chipford.com/list_instructs.htm